Name:          json-smart
Version:       2.2
Release:       %mkrel 3
Group:         Development/Java
Summary:       A small and very fast json parser/generator for java
License:       ASL 2.0
URL:           https://github.com/netplex/json-smart-v2
Source0:       https://github.com/netplex/json-smart-v2/archive/%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.ow2.asm:asm)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
Json-smart is a performance focused, JSON processor lib.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-v2-%{version}

%pom_remove_dep :json-smart-mini parent
%pom_remove_plugin :maven-javadoc-plugin parent
%pom_remove_plugin :maven-source-plugin parent
%pom_xpath_set "pom:dependency[pom:artifactId='accessors-smart']/pom:version" '${project.version}' parent

%pom_xpath_set "pom:Bundle-Version" "1.1" accessors-smart
%pom_xpath_remove "pom:Embed-Dependency" accessors-smart
%pom_xpath_remove "pom:Embed-Dependency" %{name}

%pom_xpath_inject "pom:dependency[pom:artifactId='accessors-smart']" "<version>%{version}</version>" %{name}
%pom_xpath_remove "pom:project/pom:version" accessors-smart
%pom_xpath_inject "pom:project" "<version>%{version}</version>" accessors-smart

cp -p %{name}/*.txt .

%mvn_file :%{name} %{name}
%mvn_file :accessors-smart accessors-smart

rm accessors-smart/src/test/java/net/minidev/asm/TestDateConvert.java

%build

%mvn_build -- -f parent/pom.xml

%install
%mvn_install

%files -f .mfiles
%doc ChangeLog.txt readme.txt
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Tue Feb 11 2020 umeabot <umeabot> 2.2-3.mga8
+ Revision: 1490911
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.2-2.mga7
+ Revision: 1262623
- Mageia 7 Mass Rebuild

* Sun May 21 2017 neoclust <neoclust> 2.2-1.mga6
+ Revision: 1103904
- New version 2.2
- Second rebuild of the java stack
- First rebuild of the java stack
- sync package json-smart with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 03 2015 daviddavid <daviddavid> 1.3.2-0.20151018.1.mga6
+ Revision: 897502
- sync with fc24 (update to 1.3.2)

* Mon Nov 02 2015 daviddavid <daviddavid> 1.3-0.20140820.1.mga6
+ Revision: 897465
- mageiaify spec file
- imported package json-smart


* Wed Aug 20 2014 gil cattaneo <puntogil@libero.it> 1.3-0.1.20140820
- update to 1.3

* Thu Jun 12 2014 gil cattaneo <puntogil@libero.it> 1.2-1
- initial rpm
